Bug 101187 - [EDITING] Lines shapes in Calc document display in top-left of document when every row height is 1cm or greater.
Summary: [EDITING] Lines shapes in Calc document display in top-left of document when ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.4.0 target:5.2.6 target:5.3.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-07-29 09:33 UTC by Richard
Modified: 2017-01-16 16:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Calc file with the bug in affect. (10.32 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-29 09:33 UTC, Richard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard 2016-07-29 09:33:32 UTC
Created attachment 126463 [details]
Calc file with the bug in affect.

Overview:
When a Calc document has all its row's heights set to greater than ~1.03cm, the line shapes within the document will appear in the top-left, in the A1 cell, at a 45 degree angle.

This seems to cause selection issues on the lines as well, having their end points display in their original location.

The other shapes like rectangles aren't affected.

Steps to Reproduce;
1) Create a new document.
2) Insert line shapes anywhere in the document.
3) Select all cells. (Ctrl+A)
4) Adjust the row's heights to be 2cm. (>1.029 seems to be the magic number)

Actual Results:
The lines will appear in the top-left of the document.

Expected Results:
Lines should remain where they are.

Build Date & Hardware:
Current stable Window's build, obtained from the homepage.
Version: 5.1.4.2
Build ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: en-NZ (en_NZ)

Additional Builds and Platforms:
Haven't yet tested it but I suspect this affects all operating systems.

I've included an attachment of the bug in affect. As mentioned within it, reverting the row height to a smaller size will display the lines in their correct locations.
Comment 1 Buovjaga 2016-08-07 12:03:53 UTC
Reproduced from scratch.
This does not happen in 3.6.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: f3d26af51588af441f62fb69bb7a5432845226ac
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 5th 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 3 Aron Budea 2017-01-08 05:13:37 UTC Comment hidden (bibisection)
Comment 4 Aron Budea 2017-01-08 05:15:20 UTC
Issue started with the commit referenced below. Adding Cc: to Caolán McNamara, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=93efd7ebbad293d3729b8ea4b9726aff498f607f
author		Caolán McNamara <caolanm@redhat.com>	2016-04-11 12:27:39 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-04-11 12:40:34 (GMT)

"Resolves: tdf#98366 paste document has 10x10 sized SdPages..."
Comment 5 Caolán McNamara 2017-01-12 16:37:41 UTC
The page dimensions are so large that doubling them to create a clipping region overflows around to tiny dimensions
Comment 6 Commit Notification 2017-01-12 16:44:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fd88ab1cbb4690a770ca2ca5d66157ec4906a2e

Resolves: tdf#101187 colossal page width wraps around if doubled

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2017-01-12 16:45:12 UTC
5-2 and 5-3 backports in gerrit
Comment 8 Commit Notification 2017-01-16 16:06:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98fd1628178a9c6ac119a72c5f43257c129ba72b&h=libreoffice-5-2

Resolves: tdf#101187 colossal page width wraps around if doubled

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-01-16 16:06:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c39bdd960aaa363fd1fcf6608809d3a6068a3d4&h=libreoffice-5-3

Resolves: tdf#101187 colossal page width wraps around if doubled

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.